## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global upname astropy-iers-data
%global srcname astropy_iers_data

Name: python-%{upname}
Version: 0.2024.10.28.0.34.7
Release: %autorelease
Summary: IERS Earth Rotation and Leap Second tables for the astropy core package
License: BSD-3-Clause

URL: https://github.com/astropy/astropy-iers-data
Source: %{pypi_source %{srcname}}

BuildArch: noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package provides IERS Earth Rotation and Leap Second tables for the
astropy.utils.iers package.

There the following IERS data products are included:

* Bulletin A (IERS_A) is updated weekly and has historical data starting from
  1973 and predictive data for 1 year into the future. It contains Earth
  orientation parameters x/y pole, UT1-UTC and their errors at daily intervals.

* Bulletin B (IERS_B) is updated monthly and has data from 1962 up to the time
  when it is generated. This file contains Earth’s orientation in the IERS
  Reference System including Universal Time, coordinates of the terrestrial
  pole, and celestial pole offsets.

The package also provides leap second data.

Note: This package is not currently meant to be used directly by users, and
only meant to be used from the core Astropy package.}
%description %_description

%package -n python3-%{upname}
Summary: %{summary}

%description -n python3-%{upname}
%_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t -x test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l astropy_iers_data

%check
%{tox}

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst 

%changelog
## START: Generated by rpmautospec
* Mon Oct 28 2024 Packit <hello@packit.dev> - 0.2024.10.28.0.34.7-1
- Update to 0.2024.10.28.0.34.7 upstream release
- Resolves: rhbz#2316881

* Mon Sep 30 2024 Packit <hello@packit.dev> - 0.2024.9.30.0.32.59-1
- Update to 0.2024.9.30.0.32.59 upstream release
- Resolves: rhbz#2315592

* Mon Sep 23 2024 Packit <hello@packit.dev> - 0.2024.9.23.0.31.43-1
- Update to 0.2024.9.23.0.31.43 upstream release
- Resolves: rhbz#2314138

* Tue Sep 17 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.9.16.0.32.21-1
- New upstream source

* Tue Aug 20 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.8.19.0.32.16-1
- New upstream source

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2024.6.24.0.31.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.6.24.0.31.11-1
- New upstream source

* Tue Jun 18 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.6.17.0.31.35-1
- New upstream source

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2024.5.20.0.29.40-2
- Rebuilt for Python 3.13

* Fri May 24 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.5.20.0.29.40
- New upstream 0.2024.5.20.0.29.40

* Thu Jan 04 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.2.5.0.30.52
- Initial release

## END: Generated by rpmautospec
